Page MenuHomePhabricator

Please do not send e-mail messages to tell me about "a new notification" that I read hours ago on-wiki
Closed, ResolvedPublic

Description

What happens:

  • I'm on the wiki, and I see the notification. I click it; it's marked read.
  • Hours later (end of the day UTC?), Echo sends me an e-mail message to tell me about a "new notification".
  • Only it's not new, because I read it hours ago.
  • I'm annoyed.

What should happen:

  • I'm on the wiki, and I see the notification. I click it; it's marked read.
  • All done! No unwanted e-mail messages about things that I read hours ago.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2017, 1:09 AM
Aklapper renamed this task from Please do not send e-mail messages to tell me about "a new notification" that I read hours ago to Please do not send e-mail messages to tell me about "a new notification" that I read hours ago on-wiki.Jul 1 2017, 10:21 AM

Note: This would only be possible to fix for the users that have set the preference "Send me" to the values "A daily summary [...]" or "A weekly summary [...]".
I believe (?) the default is "Individual notifications as they come in", i.e. instant emails and web-notifications sent at the same time.

Catrope added a subscriber: Catrope.

What @Quiddity says is right, unless we also implement a ~5-minute delay before sending the email. For batched emails, we should definitely be able to prevent emails about read notifications from being sent, but we should look into whether we are doing that already.

I like the idea of a brief delay. I turn off immediate e-mail anyway, but I don't really expect anyone to want separate e-mail messages for multiple related actions (e.g., reverted + talk page message).

Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 14 2018, 10:48 AM
SBisson added a subscriber: SBisson.

I will mentor this task for Google-Code-in-2019

IAmNetx claimed this task.Dec 9 2019, 11:54 PM

Change 556089 had a related patch set uploaded (by IAmNetx; owner: IAmNetx):
[mediawiki/extensions/Echo@master] Add preference to not receive digests about read notifications

https://gerrit.wikimedia.org/r/556089

Change 556089 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Add preference to not receive digests about read notifications

https://gerrit.wikimedia.org/r/556089

I think this can be announced in tech news (maybe with a special thanks to our GCI student, if appropriate). It should be on wmf.11 next week.

It is adding a new preference under the "email frequency" option on Special:Preferences#notifications. Default behavior is unchanged.

@Etonkovidova Could you take a look and resolve as appropriate? Thanks!

Kaartic added a subscriber: Kaartic.
IAmNetx closed this task as Resolved.Dec 22 2019, 11:34 AM
Etonkovidova added a comment.EditedMon, Dec 23, 9:16 PM

@Etonkovidova Could you take a look and resolve as appropriate? Thanks!

Re-opeing the task - some additional testing is needed - it seems there is a discrepancy between what notifications Special:Notifications page displays as Unread and what an email lists as unread,

Etonkovidova reopened this task as Open.Tue, Dec 24, 7:08 AM
Etonkovidova closed this task as Resolved.Tue, Jan 7, 11:38 PM

All work as expected - the additional testing clarified two things

  • The notifications must be marked read or a page with the notification(s) should be visited. Opening the notification flyout (the notifications would be marked as 'seen') won't result in excluding notifications from email.
  • The cutoff time for email sending might not be obvious to a user - I had the case when four actions for notifications were made during 10-min interval, but one notification was delayed to be displayed to a user-recipient and, consequently, was not included into the email bundle sent to that user.

I'd be satisfied by these outcomes. Just reducing the unnecessary e-mail would help me.